﻿using System;
using System.Windows;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            PixelFormat pixelFormat = PixelFormats.Bgr32;

            int width  = 200;
            int height = 200;
            int stride = (width * pixelFormat.BitsPerPixel + 7) / 8;

            byte[] pixelByteArray = new byte[stride * height];

            Random random = new Random(DateTime.Now.Millisecond);

            random.NextBytes(pixelByteArray);

            BitmapSource bitmapSource = BitmapSource.Create
            (
                width,
                height,
                96,
                96,
                pixelFormat,
                null,
                pixelByteArray,
                stride
            );

            this.image.Source = bitmapSource;
        }

        #endregion
    }
}